import { MenuHTMLProps, MenuOptions } from "reakit/Menu/Menu";
import { MenuDisclosureHTMLProps, MenuDisclosureOptions } from "reakit/Menu/MenuDisclosure";
import { MenuItemCheckboxHTMLProps, MenuItemCheckboxOptions } from "reakit/Menu/MenuItemCheckbox";
import { MenuItemRadioHTMLProps, MenuItemRadioOptions } from "reakit/Menu/MenuItemRadio";
import { MenuGroupHTMLProps, MenuGroupOptions } from "reakit/Menu/MenuGroup";
import { MenuBarHTMLProps, MenuBarOptions } from "reakit/Menu/MenuBar";
import { MenuItemHTMLProps, MenuItemOptions } from "reakit/Menu/MenuItem";
import { MenuStateReturn } from "reakit/Menu/MenuState";
import { BootstrapBoxOptions } from "./Box";
export declare type BootstrapMenuBarOptions = BootstrapBoxOptions & MenuBarOptions;
export declare function useMenuBarProps(options: BootstrapMenuBarOptions, htmlProps?: MenuBarHTMLProps): MenuBarHTMLProps;
export declare type BootstrapMenuItemOptions = BootstrapBoxOptions & MenuItemOptions;
export declare function useMenuItemProps({ unstable_system, ...options }: BootstrapMenuItemOptions, htmlProps?: MenuItemHTMLProps): MenuItemHTMLProps;
export declare type BootstrapMenuOptions = BootstrapBoxOptions & MenuOptions;
export declare function useMenuOptions({ unstable_system: { palette, fill, ...system }, ...options }: BootstrapMenuOptions): BootstrapMenuOptions;
export declare function useMenuProps(_: BootstrapMenuOptions, htmlProps?: MenuHTMLProps): MenuHTMLProps;
export declare type BootstrapMenuDisclosureOptions = BootstrapBoxOptions & MenuDisclosureOptions & Pick<Partial<MenuStateReturn>, "unstable_originalPlacement">;
export declare function useMenuDisclosureProps(options: BootstrapMenuDisclosureOptions, { children, ...htmlProps }?: MenuDisclosureHTMLProps): MenuDisclosureHTMLProps;
export declare type BootstrapMenuItemCheckboxOptions = BootstrapBoxOptions & MenuItemCheckboxOptions;
export declare function useMenuItemCheckboxProps(_: BootstrapMenuItemCheckboxOptions, htmlProps?: MenuItemCheckboxHTMLProps): MenuItemCheckboxHTMLProps;
export declare type BootstrapMenuItemRadioOptions = BootstrapBoxOptions & MenuItemRadioOptions;
export declare function useMenuItemRadioProps(_: BootstrapMenuItemRadioOptions, htmlProps?: MenuItemRadioHTMLProps): MenuItemRadioHTMLProps;
export declare type BootstrapMenuGroupOptions = BootstrapBoxOptions & MenuGroupOptions;
export declare function useMenuGroupProps(_: BootstrapMenuGroupOptions, htmlProps?: MenuGroupHTMLProps): MenuGroupHTMLProps;
